net.minecraft.entity

## Class EntityTracker

- java.lang.Object
- - net.minecraft.entity.EntityTracker

-     public class EntityTracker
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityTracker(WorldServer par1WorldServer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntityToTracker(Entity par1Entity)`
    `void` | `addEntityToTracker(Entity par1Entity, int par2, int par3)`
    `void` | `addEntityToTracker(Entity par1Entity, int par2, int par3, boolean par4)`
    `void` | `func_151247_a(Entity p_151247_1_, Packet p_151247_2_)`
    `void` | `func_151248_b(Entity p_151248_1_, Packet p_151248_2_)`
    `void` | `func_85172_a(EntityPlayerMP par1EntityPlayerMP, Chunk par2Chunk)`
    `java.util.Set<EntityPlayer>` | `getTrackingPlayers(Entity entity)` Get all players tracking the given Entity.
    `void` | `removeEntityFromAllTrackingPlayers(Entity par1Entity)`
    `void` | `removePlayerFromTrackers(EntityPlayerMP par1EntityPlayerMP)`
    `void` | `updateTrackedEntities()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityTracker

          public EntityTracker(WorldServer par1WorldServer)

  - ### Method Detail

    - #### addEntityToTracker

          public void addEntityToTracker(Entity par1Entity)

    - #### addEntityToTracker

          public void addEntityToTracker(Entity par1Entity,
                                int par2,
                                int par3)

    - #### addEntityToTracker

          public void addEntityToTracker(Entity par1Entity,
                                int par2,
                                int par3,
                                boolean par4)

    - #### removeEntityFromAllTrackingPlayers

          public void removeEntityFromAllTrackingPlayers(Entity par1Entity)

    - #### updateTrackedEntities

          public void updateTrackedEntities()

    - #### func_151247_a

          public void func_151247_a(Entity p_151247_1_,
                           Packet p_151247_2_)

    - #### func_151248_b

          public void func_151248_b(Entity p_151248_1_,
                           Packet p_151248_2_)

    - #### removePlayerFromTrackers

          public void removePlayerFromTrackers(EntityPlayerMP par1EntityPlayerMP)

    - #### func_85172_a

          public void func_85172_a(EntityPlayerMP par1EntityPlayerMP,
                          Chunk par2Chunk)

    - #### getTrackingPlayers

          public java.util.Set<EntityPlayer> getTrackingPlayers(Entity entity)

      Get all players tracking the given Entity. The Entity must be part of the World that this Tracker belongs to.
      Parameters:
        `entity` - the Entity
      Returns:
        all players tracking the Entity